| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Macros | Functions
Class descriptors
Audio Output Device | Audio Output Device

## Detailed Description

## Data Structures
struct | USB_Descriptor_Configuration_t
| Type define for the device configuration descriptor structure. This must be defined in the application code, as the configuration descriptor contains several sub-descriptors which vary between devices, and which describe the device's usage to the host. More...

## Macros
#define | AUDIO_STREAM_EPNUM 1
| Endpoint number of the Audio isochronous streaming data endpoint.
#define | AUDIO_STREAM_EPSIZE ENDPOINT_MAX_SIZE(AUDIO_STREAM_EPNUM)
| Endpoint size in bytes of the Audio isochronous streaming data endpoint. The Windows audio stack requires at least 192 bytes for correct output, thus the smaller 128 byte maximum endpoint size on some of the smaller USB models will result in unavoidable distorted output.
#define | AUDIO_STREAM_EPNUM 1
| Endpoint number of the Audio isochronous streaming data endpoint.
#define | AUDIO_STREAM_EPSIZE ENDPOINT_MAX_SIZE(AUDIO_STREAM_EPNUM)
| Endpoint size in bytes of the Audio isochronous streaming data endpoint. The Windows audio stack requires at least 192 bytes for correct output, thus the smaller 128 byte maximum endpoint size on some of the smaller USB models will result in unavoidable distorted output.

## Functions
uint16_t | CALLBACK_USB_GetDescriptor (uint8_t corenum, const uint16_t wValue, const uint8_t wIndex, const void **const DescriptorAddress) ATTR_WARN_UNUSED_RESULT ATTR_NON_NULL_PTR_ARG(4)

## Macro Definition Documentation

#define AUDIO_STREAM_EPNUM 1

Endpoint number of the Audio isochronous streaming data endpoint.

Definition at line 51 of file Descriptors.h.

#define AUDIO_STREAM_EPNUM 1

Endpoint number of the Audio isochronous streaming data endpoint.

Definition at line 51 of file Descriptors.h.

#define AUDIO_STREAM_EPSIZE ENDPOINT_MAX_SIZE(AUDIO_STREAM_EPNUM)

Endpoint size in bytes of the Audio isochronous streaming data endpoint. The Windows audio stack requires at least 192 bytes for correct output, thus the smaller 128 byte maximum endpoint size on some of the smaller USB models will result in unavoidable distorted output.

Definition at line 57 of file Descriptors.h.

#define AUDIO_STREAM_EPSIZE ENDPOINT_MAX_SIZE(AUDIO_STREAM_EPNUM)

Endpoint size in bytes of the Audio isochronous streaming data endpoint. The Windows audio stack requires at least 192 bytes for correct output, thus the smaller 128 byte maximum endpoint size on some of the smaller USB models will result in unavoidable distorted output.

Definition at line 57 of file Descriptors.h.

## Function Documentation

uint16_t CALLBACK_USB_GetDescriptor | ( | uint8_t | corenum,
|  | const uint16_t | wValue,
|  | const uint8_t | wIndex,
|  | const void **const | DescriptorAddress
| ) |  |

This function is called by the library when in device mode, and must be overridden (see library "USB Descriptors" documentation) by the application code so that the address and size of a requested descriptor can be given to the USB library. When the device receives a Get Descriptor request on the control endpoint, this function is called so that the descriptor details can be passed back and the appropriate descriptor sent back to the USB host.

Definition at line 294 of file Descriptors.c.